declare const _default: {
    name: string;
    props: {
        _constants: {
            type: ObjectConstructor;
            default: () => {};
        };
        modelValue: ArrayConstructor;
        options: ArrayConstructor;
        visible: BooleanConstructor;
        cycleRoll: BooleanConstructor;
        valueType: {
            type: StringConstructor;
            default: string;
        };
        valueField: {
            type: StringConstructor;
            default: string;
        };
        textField: {
            type: StringConstructor;
            default: string;
        };
        disabled: FunctionConstructor;
        textColor: {
            type: ObjectConstructor;
            default: () => {};
        };
        xm_mode: StringConstructor;
        xm_mode_root: BooleanConstructor;
        xm_template: (ObjectConstructor | FunctionConstructor)[];
        xm_renderless: FunctionConstructor;
        xm_theme: StringConstructor;
        xm_chart_theme: ObjectConstructor;
    };
    setup(props: any, context: any): () => import("@vue/runtime-core").VNode<import("@vue/runtime-core").RendererNode, import("@vue/runtime-core").RendererElement, {
        [key: string]: any;
    }>;
};
export default _default;
